- Retrieve companies
You can fetch a single company by passing in company_id or name.
https://api.intercom.io/companies?name={name}
https://api.intercom.io/companies?company_id={company_id}
You can fetch all companies and filter by segment_id or tag_id as a query parameter.
https://api.intercom.io/companies?tag_id={tag_id}
https://api.intercom.io/companies?segment_id={segment_id}
The list is paged by page number. There is a limit of 10,000 companies; beyond that the request returns a 400 error and you should use the scroll endpoint instead.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/companies
- The european API serverhttps://api.eu.intercom.io/companies
- The australian API serverhttps://api.au.intercom.io/companies
curl -i -X GET \
'https://api.intercom.io/companies?name=my%20company&company_id=12345&tag_id=678910&segment_id=98765&type=users&page=1&per_page=15' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful
Companies allow you to represent organizations using your product. Each company will have its own description and be associated with contacts. You can fetch, create, update and list companies.
The Intercom defined code of the workspace the company is associated to.
The company id you have defined for the company. Returned HTML-escaped, for example & as &.
The custom attributes you have set on the company.
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
Always returned empty. Fetch a company's segments with the list attached segments endpoint.
- Company
- Companies
- Company Users
- List of companies
- Single company (company_id or name)
{ "type": "list", "data": [ { … } ], "pages": { "type": "pages", "next": null, "page": 1, "per_page": 15, "total_pages": 1 }, "total_count": 1 }